what4-1.6.3: Solver-agnostic symbolic values support for issuing queries

Safe Haskell | None
Language | Haskell2010

What4.Serialize.FastSExpr

Description

This module implements a specialized s-expression parser

The parser in s-cargot is very general, but that also makes it a bit inefficient. This module implements a drop-in replacement parser for the one in What4.Serialize.Parser using megaparsec. It is completely specialized to the types in this library.

Synopsis

- parseSExpr :: Text -> Either String (WellFormedSExpr Atom)

# Documentation

parseSExpr :: Text -> Either String (WellFormedSExpr Atom) Source #

Parse `Text` into the well-formed s-expression type from s-cargot.